>From 569ca9d6d4a0d7c1f73c812eb153e39f36856bc5 Mon Sep 17 00:00:00 2001
From: Stefan Tauner <stefan.tauner@alumni.tuwien.ac.at>
Date: Fri, 30 May 2014 16:47:57 +0200
Subject: [PATCH] Fix PMC Pm25LV512 and Pm25LV010 probing.

Signed-off-by: Stefan Tauner <stefan.tauner@alumni.tuwien.ac.at>
---
 flashchips.c | 8 ++++----
 flashchips.h | 3 ++-
 2 files changed, 6 insertions(+), 5 deletions(-)

diff --git a/flashchips.c b/flashchips.c
index 78c18ca..553599f 100644
--- a/flashchips.c
+++ b/flashchips.c
@@ -8595,13 +8595,13 @@ const struct flashchip flashchips[] = {
 		.vendor		= "PMC",
 		.name		= "Pm25LV512(A)",
 		.bustype	= BUS_SPI,
-		.manufacture_id	= PMC_ID,
+		.manufacture_id	= PMC_ID_NOPREFIX,
 		.model_id	= PMC_PM25LV512,
 		.total_size	= 64,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
 		.tested		= TEST_UNTESTED,
-		.probe		= probe_spi_res3,
+		.probe		= probe_spi_res2, /* The continuation code is transferred as the 3rd byte m( */
 		.probe_timing	= TIMING_ZERO,
 		.block_erasers	=
 		{
@@ -8627,13 +8627,13 @@ const struct flashchip flashchips[] = {
 		.vendor		= "PMC",
 		.name		= "Pm25LV010",
 		.bustype	= BUS_SPI,
-		.manufacture_id	= PMC_ID,
+		.manufacture_id	= PMC_ID_NOPREFIX,
 		.model_id	= PMC_PM25LV010,
 		.total_size	= 128,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
 		.tested		= TEST_UNTESTED,
-		.probe		= probe_spi_res3,
+		.probe		= probe_spi_res2, /* The continuation code is transferred as the 3rd byte m( */
 		.probe_timing	= TIMING_ZERO,
 		.block_erasers	=
 		{
diff --git a/flashchips.h b/flashchips.h
index 383dc13..5fce532 100644
--- a/flashchips.h
+++ b/flashchips.h
@@ -503,7 +503,8 @@
 /*
  * Programmable Micro Corp is listed in JEP106W in bank 2, so it should
  * have a 0x7F continuation code prefix.
- * Apparently this name is owned by "Chingis Technology Corporation" http://www.chingistek.com.
+ * Apparently this name is owned by "Chingis Technology Corporation" http://www.chingistek.com which is now a
+ * subsidiary of ISSI. They continue to use the PMC manufacturer ID nevertheless.
  */
 #define PMC_ID			0x7F9D	/* PMC */
 #define PMC_ID_NOPREFIX		0x9D	/* PMC, missing 0x7F prefix */
-- 
Kind regards, Stefan Tauner

